toolzerhub API Docs

Get post

Deprecated: use /v1/reddit/post-details → instead. Returns one post identified by required post_id. Optional comment fields select a specific included comment.

2 credits / requestBilled only on success

Deprecated

GET
/v2/reddit/post

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

post_id*string

Reddit post id (1uw2gep), fullname (t3_1uw2gep) or permalink.

Length1 <= length
include_comment_id?string

Whether to include a specific comment ID's context in the post response.

comment_id?string

Comment fullname to include context for.

curl -X GET "https://example.com/v2/reddit/post?post_id=t3_1uw2gep" \  -H "x-api-key: YOUR_API_KEY"
{  "data": [    {      "id": "string",      "property1": null,      "property2": null    }  ],  "details": {    "reason": "string",    "message": "string"  }}